### Method

# GimpUi PaletteSelectButton set_palette

#### Declaration [src]

    void
    gimp_palette_select_button_set_palette (
      GimpPaletteSelectButton* button,
      const gchar* palette_name
    )

#### Description [src]

Sets the current palette for the palette select button.

Available since: | 2.4

#### Parameters

`palette_name` | `const gchar*`
| Palette name to set; `NULL` means no change.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.